USE [HRIS]
GO

/****** Object:  StoredProcedure [dbo].[sp_generate_pegawai_eligible]    Script Date: 11/17/2020 2:08:16 AM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[sp_generate_pegawai_mst] 
	@cutoff_date date
AS
BEGIN

    DECLARE 
		@query_date date,
		@nk_tinggi float,
		@nk_reguler float,
		@sts_hukuman varchar(5)

	SET @query_date = @cutoff_date
	SET @nk_tinggi = 3.5
	SET @nk_reguler = 3

    DELETE
    FROM MST_DAFTAR_PEGAWAI_AKTIF
    WHERE CUT_OFF = @cutoff_date
      AND KETERANGAN = 'GENERATE BY SYSTEM'

    INSERT INTO MST_DAFTAR_PEGAWAI_AKTIF (NIP, NM_PEG, USIA_SAAT_INI, KD_JNS_KELAMIN, JNS_KELAMIN, EMAIL, KD_PENERIMAAN_PEG, STS_PENERIMAAN_PEG, ANGKATAN, TAHUN_PEREKRUTAN, 
                                          STS_PENSIUN, KD_STATUS_KEPEG, NM_STATUS_KEPEG, KD_KANTOR, NM_KANTOR, KD_LEVEL_JABATAN, LEVEL_JABATAN, KD_JABATAN, NM_JABATAN, KD_UNIT_ORG, 
                                          NM_UNIT_ORG, KD_FORMASI, FORMASI, KD_KATEGORI_FUNGSI, KATEGORI_FUNGSI, KD_BIDANG, BIDANG, KD_DEPUTI_KOMISIONER, DEPUTI_KOMISIONER, 
                                          KD_DEPARTEMEN, DEPARTEMEN, KD_DIREKTUR, DIREKTUR, KD_DEPUTI_DIREKTUR, DEPUTI_DIREKTUR, KD_KEPALA_BAGIAN, KEPALA_BAGIAN, KD_KEPALA_SUBBAGIAN, 
                                          KEPALA_SUBBAGIAN, KD_SATUAN_KERJA, SATUAN_KERJA, SATKER_PUSAT, SATKER_KR_KO, KET_LEMBAGA_ASAL, TMT_LEMBAGA_ASAL, TMT_OJK, TMT_LEVEL_JABATAN, 
                                          TMT_JABATAN, TMT_SATKER, TMT_PENSIUN, TGL_MASUK, PENDIDIKAN, NILAI_KINERJA_1, LEVEL_KINERJA_1, NILAI_KINERJA_2, LEVEL_KINERJA_2, NILAI_ASSESSMENT, 
                                          MASA_DINAS_OJK, SISA_MASA_DINAS_OJK, MASA_DINAS_LEVEL_JABATAN, MASA_DINAS_SATUAN_KERJA, KATEGORI_BUP, KD_PEND_UMUM, NM_PEND_UMUM, KD_LOKASI_PEND_UMUM, 
                                          NM_LOKASI_PEND_UMUM, SANKSI, BIDANG_MS1, BIDANG_MS2, BIDANG_PERBANKAN, BIDANG_PASAR_MODAL, BIDANG_IKNB, BIDANG_AIMRPK, BIDANG_EPK, BIDANG_EX_OFFICIO, 
                                          PTB, CLTO, CM, CB, CMP, CS, MD_LEVEL_JABATAN_POTENSI_TINGGI, MD_LEVEL_JABATAN_REGULER, NK_POTENSI_TINGGI, NK_REGULER, ELIGIBLE_POTENSI_TINGGI, 
								  ELIGIBLE_REGULER, ELIGIBLE_COMBINE, CUT_OFF, KETERANGAN, PENGALAMAN_KR_KO)

    SELECT NIP,
           NM_PEG,
           USIA_SAAT_INI,
		 JNS_KELAMIN_PEG,
		 NM_KELAMIN_PEG,
           EMAIL,
		 KD_STS_PENERIMAAN_PEG,
           STS_PENERIMAAN_PEG,
           ANGKATAN,
           TAHUN_PEREKRUTAN,
           STS_PENSIUN,
		 null,	-- KD_STATUS_KEPEG
           NM_STATUS_KEPEG,
		 KD_KANTOR,
           NM_KANTOR,
		 KD_GOL,
           LEVEL_JABATAN,
		 KD_JABATAN_STR,
           NM_JABATAN,
		 KD_UNIT_ORG,
		 NM_UNIT_ORG,
		 null,	-- (KD_FORMASI) KD_POSISI
           FORMASI,
           KATEGORI_FUNGSI,
		 NAMA_FUNGSI,
		 KD_UNIT_ES1,
           BIDANG,
		 KD_UNIT_ES2,
           DEPUTI_KOMISIONER,
		 KD_UNIT_ES3,
           DEPARTEMEN,
		 KD_UNIT_ES4,
           DIREKTUR,
		 KD_UNIT_ES5,
           DEPUTI_DIREKTUR,
		 KD_UNIT_ES6,
           KEPALA_BAGIAN,
		 KD_UNIT_ES7,
           KEPALA_SUBBAGIAN,
		 KD_SATKER,
           SATUAN_KERJA,
		 null,	-- SATKER_PUSAT
		 null,	-- SATKER_KR_KO
           KET_LEMBAGA_ASAL,
           TMT_LEMBAGA_ASAL,
           TMT_OJK,
           TMT_LEVEL_JABATAN,
           TMT_JABATAN,
           TMT_SATKER,
           TMT_PENSIUN,
           TGL_MASUK,
           PENDIDIKAN,
           NILAI_KINERJA_1,
           LEVEL_KINERJA_1,
           NILAI_KINERJA_2,
           LEVEL_KINERJA_2,
		 null,	-- NILAI_ASSESSMENT
           MASA_DINAS_OJK,
           SISA_MASA_DINAS_OJK,
           MASA_DINAS_LEVEL_JABATAN,
		 null,	-- MASA_DINAS_SATUAN_KERJA
		 null,	-- KATEGORI_BUP
		 KD_PEND_UMUM,
		 NM_PEND_UMUM,
		 null,	-- KD_LOKASI_PEND_UMUM
		 LOKASI_PEND,	-- NM_LOKASI_PEND_UMUM
		 HUKUMAN,
		 BIDANG_MS1,	-- BIDANG_MS1, 
		 BIDANG_MS2,	-- BIDANG_MS2, 
		 BIDANG_PERBANKAN,	-- BIDANG_PERBANKAN, 
		 BIDANG_PASAR_MODAL,	-- BIDANG_PASAR_MODAL, 
		 BIDANG_IKNB,	-- BIDANG_IKNB, 
		 BIDANG_AIMRPK,	-- BIDANG_AIMRPK, 
		 BIDANG_EPK,	-- BIDANG_EPK, 
		 BIDANG_EX_OFFICIO,	-- BIDANG_EX_OFFICIO,
		 null,	-- PTB, 
		 null,	-- CLTO, 
		 null,	-- CM, 
		 null,	-- CB, 
		 null,	-- CMP, 
		 null,	-- CS, 
           IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_POTENSI_TINGGI, 'IYA',
               'TIDAK')                                                                       AS MD_LEVEL_JABATAN_POTENSI_TINGGI,
           IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_REGULER, 'IYA',
               'TIDAK')                                                                       AS MD_LEVEL_JABATAN_REGULER,
           NK_POTENSI_TINGGI,
           NK_REGULER,
           IIF((IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_POTENSI_TINGGI, 1, 0)) = 1 AND
               NK_POTENSI_TINGGI = 'IYA', 'IYA',
               'TIDAK')                                                                       AS ELIGIBLE_POTENSI_TINGGI,
           IIF((IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_REGULER, 1, 0)) = 1 AND NK_REGULER = 'IYA',
               'IYA', 'TIDAK')                                                                AS ELIGIBLE_REGULER,
           IIF((
                       ((IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_POTENSI_TINGGI, 1, 0)) = 1 AND
                        NK_POTENSI_TINGGI = 'IYA')
                       OR
                       ((IIF(CAST(LEFT(MASA_DINAS_LEVEL_JABATAN, 2) as int) >= MD_LEVEL_JABATAN_REGULER, 1, 0)) = 1 AND
                        NK_REGULER = 'IYA')
                   ), 'ELIGIBLE', 'BELUM')                                                    AS ELIGIBLE_COMBINE,
           @cutoff_date,
		 KETERANGAN,
		 PENGALAMAN_KRKO -- PENGALAMAN_KR_KO
           --KATEGORI_SISA_MD_OJK,
           --KD_GOL,
           --KD_BIDANG,
           --KODE_SATKER_ORGANISASI,
           --KD_JABATAN_STR
    FROM (
             SELECT a.NIP,
                    NM_PEG,
                    USIA_SAAT_INI,
				JNS_KELAMIN_PEG,
				NM_KELAMIN_PEG,
                    EMAIL,
				KD_STS_PENERIMAAN_PEG,
                    STS_PENERIMAAN_PEG,
                    ANGKATAN,
                    TAHUN_PEREKRUTAN,
                    STS_PENSIUN,
                    NM_STATUS_KEPEG,
				KD_KANTOR,
                    NM_KANTOR,
                    a.KD_GOL,
                    NM_GOL                                                                                         AS LEVEL_JABATAN,
                    NM_JABATAN_STR                                                                                 AS NM_JABATAN,
                    POSISI                                                                                         AS FORMASI,
                    KATEGORI_FUNGSI,
				NAMA_FUNGSI,
				KD_UNIT_ES1,
                    NM_UNIT_ES1                                                                                    AS BIDANG,
				KD_UNIT_ES2,
                    NM_UNIT_ES2                                                                                    AS DEPUTI_KOMISIONER,
                    KD_UNIT_ES3,
				NM_UNIT_ES3                                                                                    AS DEPARTEMEN,
                    KD_UNIT_ES4,
				NM_UNIT_ES4                                                                                    AS DIREKTUR,
                    KD_UNIT_ES5,
				NM_UNIT_ES5                                                                                    AS DEPUTI_DIREKTUR,
                    KD_UNIT_ES6,
				NM_UNIT_ES6                                                                                    AS KEPALA_BAGIAN,
                    KD_UNIT_ES7,
				NM_UNIT_ES7                                                                                    AS KEPALA_SUBBAGIAN,
                    KD_SATKER,
				SATUAN_KERJA,
                    KET_LEMBAGA_ASAL,
                    TMT_LEMBAGA_ASAL,
                    TMT_OJK,
                    TMT_GOL                                                                                        AS TMT_LEVEL_JABATAN,
                    TMT_JABATAN,
                    TMT_SATKER,
                    TMT_PENSIUN,
                    TGL_MASUK,
                    KD_PEND_UMUM,
				NM_PEND_UMUM,
                    NM_PEND_UMUM                                                                                   AS PENDIDIKAN,
                    PFM1.NILAI                                                                                     AS NILAI_KINERJA_1,
                    PFM1.LEVEL_KINERJA                                                                             AS LEVEL_KINERJA_1,
                    PFM2.NILAI                                                                                     AS NILAI_KINERJA_2,
                    PFM2.LEVEL_KINERJA                                                                             AS LEVEL_KINERJA_2,
                    PFM3.NILAI                                                                                     AS NILAI_KINERJA_3,
                    PFM3.LEVEL_KINERJA                                                                             AS LEVEL_KINERJA_3,
                    HUKUMAN,
                    MASA_TAHUN_OJK,
                    CASE WHEN b.lama_clto > 0
                            THEN dbo.MasaDinasCLTO(CAST(MASA_TAHUN_OJK as VARCHAR(2)) + ' Tahun ' + CAST(MASA_BULAN_OJK as VARCHAR(2)) + ' Bulan', b.lama_clto, '-')
                        ELSE CAST(MASA_TAHUN_OJK as VARCHAR(2)) + ' Tahun ' + CAST(MASA_BULAN_OJK as VARCHAR(2)) + ' Bulan'
                    END AS MASA_DINAS_OJK,
                    CASE WHEN b.lama_clto > 0
                        THEN dbo.MasaDinasCLTO(SISA_MASA_DINAS_OJK, b.lama_clto, '+')
                        ELSE SISA_MASA_DINAS_OJK
                    END AS SISA_MASA_DINAS_OJK,
                    CASE WHEN b.lama_clto > 0
                        THEN dbo.MasaDinasCLTO( CASE
                                    WHEN STS_PENSIUN = '0' THEN dbo.MasaDinasTahunBulanDataMart(TMT_GOL, @query_date)
                                    WHEN STS_PENSIUN = '1' THEN dbo.MasaDinasTahunBulanDataMart(TMT_GOL, TGL_BERHENTI)
                                END, b.lama_clto, '-')
                        ELSE CASE
                                WHEN STS_PENSIUN = '0' THEN dbo.MasaDinasTahunBulanDataMart(TMT_GOL, @query_date)
                                WHEN STS_PENSIUN = '1' THEN dbo.MasaDinasTahunBulanDataMart(TMT_GOL, TGL_BERHENTI)
                            END
                    END AS MASA_DINAS_LEVEL_JABATAN,
                    IIF(PFM2.NILAI >= @nk_tinggi AND PFM3.NILAI >= @nk_tinggi, 'IYA',
                        'TIDAK')                                                                                   AS NK_POTENSI_TINGGI,
                    IIF(PFM2.NILAI >= @nk_reguler AND PFM3.NILAI >= @nk_reguler, 'IYA',
                        'TIDAK')                                                                                   AS NK_REGULER,
                    CASE
                        WHEN DATEDIFF(mm, @query_date, TMT_PENSIUN) <= 12 THEN '0_1'
                        WHEN DATEDIFF(mm, @query_date, TMT_PENSIUN) <= 36 THEN '1_3'
                        WHEN DATEDIFF(mm, @query_date, TMT_PENSIUN) > 36 THEN '_3_'
                    END                                                                                            AS KATEGORI_SISA_MD_OJK,
                    'GENERATE BY SYSTEM'                                                                           AS KETERANGAN,
                    CREATE_DATE,
                    KD_UNIT_ES1                                                                                    AS KD_BIDANG,
                    KODE_SATKER_ORGANISASI,
                    KD_JABATAN_STR,
				KD_UNIT_ORG,
				NM_UNIT_ORG,
				LOKASI_PEND,
				CASE 
					WHEN COALESCE(KRKO.jml_krko, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS PENGALAMAN_KRKO,
				CASE 
					WHEN COALESCE(BID_MS1.jml_ms1, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_MS1,
				CASE 
					WHEN COALESCE(BID_MS2.jml_ms2, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_MS2,
				CASE 
					WHEN COALESCE(BID_PERBANKAN.jml_perbankan, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_PERBANKAN,
				CASE 
					WHEN COALESCE(BID_PASAR_MODAL.jml_pasar_modal, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_PASAR_MODAL,
				CASE 
					WHEN COALESCE(BID_IKNB.jml_iknb, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_IKNB,
				CASE 
					WHEN COALESCE(BID_AIMRPK.jml_aimrpk, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_AIMRPK,
				CASE 
					WHEN COALESCE(BID_EPK.jml_epk, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_EPK,
				CASE 
					WHEN COALESCE(BID_EX_OFFICIO.jml_ex_officio, 0) > 0 THEN 'PERNAH'
					ELSE 'TIDAK'
				END AS BIDANG_EX_OFFICIO,
				MD_LEVEL.MD_LEVEL_JABATAN_POTENSI_TINGGI,
				MD_LEVEL.MD_LEVEL_JABATAN_REGULER
             FROM db_mart.mart_profile_pegawai a
            LEFT JOIN (
                select nip, ISNULL(SUM((DATEDIFF(DAY, TGL_AWAL_CUTI_PEG, TGL_AKHIR_CUTI_PEG)/30)), 0) as lama_clto from SPG_CUTI_PEGAWAI where JNS_CUTI='16'
                group by nip
            ) b on a.nip=b.nip
                      OUTER APPLY(
                 SELECT PFMRK.PFM_ID,
                        PFMRK.NIP,
                        PFMRK.NILAI,
                        PFMRK.RANGKING,
                        PFMRK.LEVEL_KINERJA,
                        PFMPR.TANGGAL_AWAL,
                        PFMPR.TANGGAL_AKHIR
                 FROM PFM_RIWAYAT_KINERJA (NOLOCK) AS PFMRK
                          INNER JOIN PFM_PERIODE (NOLOCK) PFMPR ON PFMRK.PFM_ID = PFMPR.PFM_ID
                 WHERE PFMRK.NIP = a.NIP
                   AND PFMRK.PFM_ID = (
                     SELECT TOP 1 lag(PFM_ID, 2, 0) OVER (ORDER BY PFM_ID)
                     FROM PFM_RIWAYAT_KINERJA (NOLOCK)
                     GROUP BY PFM_ID
                     ORDER BY PFM_ID DESC
                 )
             ) AS PFM1
                      OUTER APPLY(
                 SELECT PFMRK.PFM_ID,
                        PFMRK.NIP,
                        PFMRK.NILAI,
                        PFMRK.RANGKING,
                        PFMRK.LEVEL_KINERJA,
                        PFMPR.TANGGAL_AWAL,
                        PFMPR.TANGGAL_AKHIR
                 FROM PFM_RIWAYAT_KINERJA (NOLOCK) AS PFMRK
                          INNER JOIN PFM_PERIODE (NOLOCK) PFMPR ON PFMRK.PFM_ID = PFMPR.PFM_ID
                 WHERE PFMRK.NIP = a.NIP
                   AND PFMRK.PFM_ID = (
                     SELECT TOP 1 lag(PFM_ID, 1, 0) OVER (ORDER BY PFM_ID)
                     FROM PFM_RIWAYAT_KINERJA (NOLOCK)
                     GROUP BY PFM_ID
                     ORDER BY PFM_ID DESC
                 )
             ) AS PFM2
                      OUTER APPLY
                  (
                      SELECT PFMRK.PFM_ID,
                             PFMRK.NIP,
                             PFMRK.NILAI,
                             PFMRK.RANGKING,
                             PFMRK.LEVEL_KINERJA,
                             PFMPR.TANGGAL_AWAL,
                             PFMPR.TANGGAL_AKHIR
                      FROM PFM_RIWAYAT_KINERJA (NOLOCK) AS PFMRK
                               INNER JOIN PFM_PERIODE PFMPR (NOLOCK) ON PFMRK.PFM_ID = PFMPR.PFM_ID
                      WHERE PFMRK.NIP = a.NIP
                        AND PFMRK.PFM_ID = (
                          select max(pfm_id)
                          from PFM_RIWAYAT_KINERJA (NOLOCK)
                      )
                  ) AS PFM3
			   OUTER APPLY
			   (
				SELECT  
					COUNT(*) AS jml_krko
				FROM  
					SPG_08_RIWAYAT_JABATAN AS rj
					INNER JOIN
					SPG_08_KANTOR AS k ON rj.KD_KANTOR = k.KD_KANTOR
				WHERE 
					k.JNS_KANTOR <> '1'
					AND rj.nip = a.NIP
			   ) AS KRKO
			   LEFT JOIN
			   (
				SELECT  KD_GOL, NM_GOLONGAN,
				   CASE WHEN KD_GOL IN (10,20,30) THEN 5
					  WHEN KD_GOL IN (40,50,60) THEN 3
					  WHEN KD_GOL IN (70,80) THEN 2
				    END AS MD_LEVEL_JABATAN_POTENSI_TINGGI,
				   CASE WHEN KD_GOL IN (10,20,30) THEN 6
					  WHEN KD_GOL IN (40,50,60) THEN 4
					  WHEN KD_GOL IN (70,80) THEN 3
				    END AS MD_LEVEL_JABATAN_REGULER
				FROM  dbo.SPG_GOLONGAN
				WHERE KD_GOL NOT IN (41,51,61,91,90,99)
			   ) AS MD_LEVEL ON a.KD_GOL = MD_LEVEL.KD_GOL
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_ms1
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '101'
					AND NIP = a.NIP
			   ) AS BID_MS1
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_ms2
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '102'
					AND NIP = a.NIP
			   ) AS BID_MS2
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_perbankan
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '103'
					AND NIP = a.NIP
			   ) AS BID_PERBANKAN
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_pasar_modal
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '104'
					AND NIP = a.NIP
			   ) AS BID_PASAR_MODAL
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_iknb
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '105'
					AND NIP = a.NIP
			   ) AS BID_IKNB
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_aimrpk
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '106'
					AND NIP = a.NIP
			   ) AS BID_AIMRPK
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_epk
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) = '107'
					AND NIP = a.NIP
			   ) AS BID_EPK
			   OUTER APPLY
			   (
				SELECT
					COUNT(*) AS jml_ex_officio
				FROM
					SPG_08_RIWAYAT_JABATAN
				WHERE
					KD_STATUS_VALIDASI = 1
					AND LEFT(KD_UNIT_ORG,3) IN ('108', '109')
					AND NIP = a.NIP
			   ) AS BID_EX_OFFICIO
            WHERE PEGAWAI_TUGAS_BELAJAR <> 'Ya' AND CUTI_CLTO <> 'Ya'
         ) AS PEG_ELIGIBLE
    WHERE CREATE_DATE = @cutoff_date
      AND nip not like 'H%'
      AND nip not like 'P%'
      AND sts_pensiun = '0'
	 AND kd_gol >= '50'



    --DELETE
    --FROM MST_DAFTAR_PEGAWAI_AKTIF
    --WHERE PERIODE_PEMENUHAN = @periode_pemenuhan
    --  AND KETERANGAN = 'GENERATE BY SYSTEM'
    --  AND LEVEL_JABATAN_PEMENUHAN = @level_jabatan_pemenuhan
    --  AND ELIGIBLE_COMBINE = 'BELUM'
END
GO


